# hashtable File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file hashtable.

Go to the source code of this file.

## Namespaces

- namespace Internal
- namespace std
- namespace std::tr1

## Functions

- template<class Iterator> std::iterator_traits< Iterator
  >::difference_type distance_fw (Iterator first, Iterator last)
- template<class Iterator> std::iterator_traits< Iterator
  >::difference_type distance_fw (Iterator first, Iterator last, std::forward_iterator_tag)
- template<class Iterator> std::iterator_traits< Iterator
  >::difference_type distance_fw (Iterator first, Iterator last, std::input_iterator_tag)
- template<typename Value, bool cache> bool operator!= (const hashtable_iterator_base< Value, cache > &x, const hashtable_iterator_base< Value, cache > &y)
- template<typename Value, bool cache> bool operator!= (const node_iterator_base< Value, cache > &x, const node_iterator_base< Value, cache > &y)
- template<typename Value, bool cache> bool operator== (const hashtable_iterator_base< Value, cache > &x, const hashtable_iterator_base< Value, cache > &y)
- template<typename Value, bool cache> bool operator== (const node_iterator_base< Value, cache > &x, const node_iterator_base< Value, cache > &y)